<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Tpago
 *
 * @ORM\Table(name="tpago")
 * @ORM\Entity
 */
class Tpago
{
    /**
     * @var int
     *
     * @ORM\Column(name="idpago", type="smallint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idpago;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=50, nullable=false)
     */
    private $descripcion;

    public function getIdpago(): ?int
    {
        return $this->idpago;
    }

    public function getDescripcion(): ?string
    {
        return $this->descripcion;
    }

    public function setDescripcion(string $descripcion): self
    {
        $this->descripcion = $descripcion;

        return $this;
    }

    public function __toString()
    {
        return $this->getDescripcion();
    }

}
